<?php

/**
 * Fired during plugin deactivation
 *
 * @link       https://welaunch.io/plugins/wordpress-multilingual-multisite/
 * @since      1.0.0
 *
 * @package    WordPress_Multilingual_Multisite
 * @subpackage WordPress_Multilingual_Multisite/includes
 */

/**
 * Fired during plugin deactivation.
 *
 * This class defines all code necessary to run during the plugin's deactivation.
 *
 * @since      1.0.0
 * @package    WordPress_Multilingual_Multisite
 * @subpackage WordPress_Multilingual_Multisite/includes
 * @author     Daniel Barenkamp <support@welaunch.io>
 */
class WordPress_Multilingual_Multisite_Deactivator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function deactivate() {
		
		wp_clear_scheduled_hook('run_wordpress_multilingual_multisite_cron');

		$sites = get_sites();
	   	if(empty($sites)) {
	   		return false;
	   	}

	   	foreach ($sites as $site) {
	   		switch_to_blog($site->blog_id);

	   		remove_role('translator');

	   		restore_current_blog();
	   	}
	}

}
